# sw_device_info

sw_device_info是获取设备及应用相关信息的插件，包括：设备编号、屏幕尺寸、运营商、设备厂家、操作系统版本等

## 添加依赖

```yaml
dependencies:
  sw_device_info: ^0.0.2 //使用pub上的最新版本
```

## 示例

```dart
import 'package:sw_device_info/sw_device_info.dart';
import 'package:sw_device_info/device_info.dart';

void getDevceInfo() async {
  DeviceInfo deviceInfo = await SwDeviceInfo.deviceInfo;
}
```

## 属性说明

deviceMfrs:设备生产厂家，Android返回Build.MANUFACTURER，iOS返回Apple

deviceModel:机型，Android返回Build.Model，iOS返回[UIDevice currentDevice].model

provider:运营商，0-移动；1-联通；2-电信；3-未知

width:屏幕宽

height:屏幕高

osVersion:系统版本

deviceNo:设备编号

signMd5:签名hash，仅Android返回

versionName:应用版本

osName:系统类型，Android返回A，iOS返回I
